function [LLR Lcode] = bcjr_function_75_recursive(z_info, z_parity, Lin, K, Es)

%inputs
%z_info: RX symbols corresponding to the K+2 transmitted information bits
%(i.e. the systematic bits)
%z_parity: RX symbols corresponding to the K+2 transmitted parity bits
%Lin: (K+2)-dimensional vector with the a priori likelihood ratios for the
%information bits (the last two will always be zero, since they correspond
%to termination bits).  This variable is non-zero only for the turbo code
%question.
%K: # of information bits
%Es; Energy per symbol

%outputs
%LLR: K-dimensional vector of LLR's for the K information bits
%Lcode: K-dimensional vector of L_code (i.e., extrinisic information) for
%the K information bits - this is the information passed between DEC1 and
%DEC2 in a turbo decoder
